summaryrefslogtreecommitdiffstats
path: root/system/xarchiver
diff options
context:
space:
mode:
author MagicMan <MagicMan07@bluebottle.com>2010-05-11 15:18:48 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:48 +0200
commitd38d756c95e87b55342b873b8688e08b1d7953ae (patch)
treed63ed5471a57c201d955117bf6f54ed696cd4c8e /system/xarchiver
parent5c11715d751499681711c8effb85ece2ee00ca7e (diff)
downloadslackbuilds-d38d756c95e87b55342b873b8688e08b1d7953ae.tar.gz
slackbuilds-d38d756c95e87b55342b873b8688e08b1d7953ae.tar.xz
system/xarchiver: Initial import
Diffstat (limited to 'system/xarchiver')
-rw-r--r--system/xarchiver/README5
-rw-r--r--system/xarchiver/doinst.sh5
-rw-r--r--system/xarchiver/slack-desc11
-rw-r--r--system/xarchiver/xarchiver.SlackBuild81
-rw-r--r--system/xarchiver/xarchiver.info8
5 files changed, 110 insertions, 0 deletions
diff --git a/system/xarchiver/README b/system/xarchiver/README
new file mode 100644
index 0000000000..de9c2012e2
--- /dev/null
+++ b/system/xarchiver/README
@@ -0,0 +1,5 @@
+Xarchiver is a Desktop Environment independent archiver frontend. All common
+archive types are supported. RPM and ISO are handled without rpm or isodump
+executables. To run it, you only need GTK+2 libraries and obviously the
+various rar, arj and 7z for these archive types. All the others necessary
+archivers should be installed by default.
diff --git a/system/xarchiver/doinst.sh b/system/xarchiver/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/system/xarchiver/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/xarchiver/slack-desc b/system/xarchiver/slack-desc
new file mode 100644
index 0000000000..c5a35c6bab
--- /dev/null
+++ b/system/xarchiver/slack-desc
@@ -0,0 +1,11 @@
+xarchiver: Xarchiver (Archive Manager)
+xarchiver:
+xarchiver: Xarchiver is a Desktop Environment independent archiver
+xarchiver: frontend. All common archive types are supported. RPM and
+xarchiver: ISO are handled without rpm or isodump executables. To run
+xarchiver: it you only need GTK+2 libraries and obviously the various
+xarchiver: rar, arj and 7z for these archives types. All the others
+xarchiver: archivers are installed by default in most distro.
+xarchiver:
+xarchiver: Homepage: http://xarchiver.xfce.org/
+xarchiver:
diff --git a/system/xarchiver/xarchiver.SlackBuild b/system/xarchiver/xarchiver.SlackBuild
new file mode 100644
index 0000000000..4b39902526
--- /dev/null
+++ b/system/xarchiver/xarchiver.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Xarchiver
+
+# Copyright 2007 Frank Caraballo fecaraballo@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=xarchiver
+VERSION=0.4.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root.root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Move doc files to correct location:
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+( cd $PKG/usr/doc ; ln -s $PRGNAM-$VERSION $PRGNAM )
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Fix icon path in .desktop file
+sed -i 's#^Icon=\(.\+\)$#Icon=/usr/share/icons/hicolor/48x48/apps/\1.png#' \
+ $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xarchiver/xarchiver.info b/system/xarchiver/xarchiver.info
new file mode 100644
index 0000000000..49342d3c2c
--- /dev/null
+++ b/system/xarchiver/xarchiver.info
@@ -0,0 +1,8 @@
+PRGNAM="xarchiver"
+VERSION="0.4.6"
+HOMEPAGE="http://xarchiver.xfce.org/"
+DOWNLOAD="http://dl.sourceforge.net/xarchiver/xarchiver-0.4.6.tar.bz2"
+MD5SUM="9700305deef4e2b6878697bd18bd2dd9"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="rworkman"